Bug Hunting Session
Bug 123803 - Add "Available/Supported since version ..." to spreadsheet function help topics
Summary: Add "Available/Supported since version ..." to spreadsheet function help topics
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on: 99517
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2019-03-02 09:57 UTC by Mike Kaganski
Modified: 2019-06-29 18:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-03-02 09:57:33 UTC
Some spreadsheet functions are only available since some specific version of LibreOffice: e.g., REGEX [1] which only appeared in v.6.2 [2]; or some Excel-compatibility functions.

For users, it's difficult to see if using a given function would affect backward compatibility - i.e., if using it would make a spreadsheet unusable with older versions. The information about that is not easily available, and requires research.

The proposal is to add notes to relevant help sections, mentioning "Available/Supported starting from version X" (wording is of course subject to improving by those who speak a better English than me :-)).

[1] https://help.libreoffice.org/6.2/en-US/text/scalc/01/func_regex.html
[2] https://wiki.documentfoundation.org/ReleaseNotes/6.2#New_spreadsheet_functions
Comment 1 m.a.riosv 2019-03-03 13:29:19 UTC
Looks to me really helpful.
Also a good place is the function wizard. Only adding a short '+Ver.6.2'  to the short help message in it, I think would be fine.
Comment 2 Olivier Hallot 2019-03-04 11:57:27 UTC
The issue for REGEX and other functions is that we passed the string freeze period, so a new string will require new translation.

No problem for master (currently 6.3) and beyond. We can add a string indicating the release.
Comment 3 Commit Notification 2019-03-04 14:43:31 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/09003c0b3a18d448976e2264347ad3b80fc31994%5E%21

tdf#123803 Add relelase info in Calc functions
Comment 4 Xisco Faulí 2019-04-12 10:24:25 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 5 Mike Kaganski 2019-04-25 07:38:28 UTC
ROUNDSIG: https://wiki.documentfoundation.org/ReleaseNotes/5.4#New_spreadsheet_functions

SEARCHB, FINDB and REPLACEB: https://wiki.documentfoundation.org/ReleaseNotes/6.0#New_spreadsheet_functions

RAWSUBTRACT, FORECAST.ETS, CONCAT, TEXTJOIN, IFS, SWITCH, MINIFS, MAXIFS: https://wiki.documentfoundation.org/ReleaseNotes/5.2#New_spreadsheet_functions

ISOWEEKNUM: https://wiki.documentfoundation.org/ReleaseNotes/5.1#Compatibility_with_ODF_1.2

FLOOR.XCL, CEILING.XCL, ENCODEURL, ERROR.TYPE: https://wiki.documentfoundation.org/ReleaseNotes/5.0#New_spreadsheet_functions

AGGREGATE: https://wiki.documentfoundation.org/ReleaseNotes/4.4#Formula_engine

GAMMA.DIST, GAMMA.INV, GAMMALN.PRECISE, LOGNORM.DIST, LOGNORM.INV, NORM.DIST, NORM.INV, NORM.S.DIST, NORM.S.INV, T.DIST, T.DIST.2T, T.DIST.RT, T.INV, T.INV.2T, T.TEST, PERCENTILE.EXC, PERCENTILE.INC, PERCENTRANK.EXC, PERCENTRANK.INC, QUARTILE.EXC, QUARTILE.INC, RANK.EQ, RANK.AVG, MODE.SNGL, MODE.MULT, NEGBINOM.DIST, Z.TEST, FLOOR.PRECISE, CEILING.PRECISE, ISO.CEILING, NETWORKDAYS.INTL, WORKDAY.INTL, ERF.PRECISE and ERFC.PRECISE: https://wiki.documentfoundation.org/ReleaseNotes/4.3#Formula_engine

WEBSERVICE, FILTERXML, LEFTB, LENB, MIDB, RIGHTB, COVARIANCE.P, COVARIANCE.S, STDEV.P, STDEV.S, VAR.P and VAR.S, BETA.DIST and BETA.INV, BINOM.DIST and BINOM.INV, CONFIDENCE.NORM and CONFIDENCE.T, F.DIST, F.DIST.RT, F.INV, F.INV.RT and F.TEST, EXPON.DIST, HYPGEOM.DIST, POISSON.DIST and WEIBULL.DIST, CHISQ.DIST, CHISQ.DIST.RT, CHISQ.INV, CHISQ.INV.RT,CHISQ.TEST: https://wiki.documentfoundation.org/ReleaseNotes/4.2#Formula_engine

NUMBERVALUE, SKEWP, *something* new from tdf#60032: https://wiki.documentfoundation.org/ReleaseNotes/4.1#Formula_engine

XOR, AVERAGEIF, SUMIFS, AVERAGEIFS and COUNTIFS, IFERROR and IFNA: https://wiki.documentfoundation.org/ReleaseNotes/4.0#Formula_engine

DATEDIF, IMTAN, IMSEC, IMCSC, IMCOT, IMSINH, IMCOSH, IMSECH and IMCSCH: https://wiki.documentfoundation.org/ReleaseNotes/3.6#Calc

BITAND, BITOR, BITXOR BITRSHIFT and BITLSHIFT, SEC, CSC, SECH and CSCH: https://wiki.documentfoundation.org/ReleaseNotes/3.5#Calc
Comment 6 Commit Notification 2019-04-27 12:00:19 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/0a874cee4a5d694b6c055b896d4dc64f7151b001%5E%21

tdf#123803 Add release info in Calc functions